Results 1 to 2 of 2
  1. #1
    Join Date
    Nov 2009
    Posts
    1

    Unanswered: Trouble installing postgres from source on Snow Leopard

    Hi all,

    I recently upgraded to Snow Leopard, and I need to install the latest version of postgres. Before the upgrade, I had no trouble installing from source. Now, when I install from source, I get an error when I try to "make". I have copied-and-pasted the last few lines from the output of "make" below. My machine is a 2.4 GHz Intel Core 2 Duo with 4 GB of RAM and Mac OS X 10.6.2. I have the latest version of Xcode (3.2) installed. Any ideas?

    Thanks in advance for any help!

    Code:
    gcc -no-cpp-precomp -O2 -Wall -Wmissing-prototypes -Wpointer-arith -Wdeclaration-after-statement -Wendif-labels -fno-strict-aliasing -fwrapv -I../../../src/include   -c fmgrtab.c -o fmgrtab.o
    make[3]: Leaving directory `/Users/brt381/Desktop/postgresql-8.4.1/src/backend/utils'
    make -C ../../src/timezone all
    make[3]: Entering directory `/Users/brt381/Desktop/postgresql-8.4.1/src/timezone'
    make -C ../../src/port all
    make[4]: Entering directory `/Users/brt381/Desktop/postgresql-8.4.1/src/port'
    make[4]: Nothing to be done for `all'.
    make[4]: Leaving directory `/Users/brt381/Desktop/postgresql-8.4.1/src/port'
    make[3]: Leaving directory `/Users/brt381/Desktop/postgresql-8.4.1/src/timezone'
    gcc -no-cpp-precomp -O2 -Wall -Wmissing-prototypes -Wpointer-arith -Wdeclaration-after-statement -Wendif-labels -fno-strict-aliasing -fwrapv -L../../src/port -Wl,-dead_strip_dylibs    -lm -o postgres
    Undefined symbols:
     "_main", referenced from:
         start in crt1.10.6.o
    ld: symbol(s) not found
    collect2: ld returned 1 exit status
    make[2]: *** [postgres] Error 1
    make[2]: Leaving directory `/Users/brt381/Desktop/postgresql-8.4.1/src/backend'
    make[1]: *** [all] Error 2
    make[1]: Leaving directory `/Users/brt381/Desktop/postgresql-8.4.1/src'
    make: *** [all] Error 2

  2. #2
    Join Date
    Aug 2009
    Location
    Olympia, WA
    Posts
    337
    I don't use mac but I recall seeing that several people had trouble with Postgres 8.4 on Snow Leopard. The binary for Mac will work on 10.6.
    EnterpriseDB: Download PostgreSQL Installers

    And nothing you couldn't google yourself, but:
    Installing PostgreSQL server on Mac OS X Snow Leopard - Invision Power Services

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •